scala.collection.mutable

# HashMap

#### object HashMap extends MutableMapFactory[HashMap] with Serializable

This object provides a set of operations needed to create ``mutable.HashMap`` values.

Source
  HashMap.scala

Linear Supertypes
Serializable, java.io.Serializable, MutableMapFactory[HashMap], MapFactory[HashMap], GenMapFactory[HashMap], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. HashMap
2. Serializable
3. Serializable
4. MutableMapFactory
5. MapFactory
6. GenMapFactory
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Coll = HashMap[_, _]

   The type constructor of the collection that can be built by this factory

   The type constructor of the collection that can be built by this factory

   Definition Classes
     GenMapFactory

2. #### class MapCanBuildFrom[A, B] extends CanBuildFrom[Coll, (A, B), CC[A, B]]

   The standard `CanBuildFrom` class for maps.

   The standard `CanBuildFrom` class for maps.

   Definition Classes
     GenMapFactory

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply[A, B](elems: (A, B)*): HashMap[A, B]

   A collection of type `Map` that contains given key/value bindings.

   A collection of type `Map` that contains given key/value bindings.

   A

     the type of the keys

   B

     the type of the associated values

   elems

     the key/value pairs that make up the map

   returns

     a new map consisting key/value pairs given by `elems`.

   Definition Classes
     GenMapFactory

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### implicit def canBuildFrom[A, B]: CanBuildFrom[Coll, (A, B), HashMap[A, B]]

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def empty[A, B]: HashMap[A, B]

   An empty `mutable.HashMap`

   An empty `mutable.HashMap`

   Definition Classes
     HashMap → MapFactory → GenMapFactory

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def newBuilder[A, B]: Builder[(A, B), HashMap[A, B]]

    The default builder for Map objects.

    The default builder for Map objects.

    A

      the type of the keys

    B

      the type of the associated values

    Definition Classes
      MutableMapFactory → GenMapFactory

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from MutableMapFactory[HashMap]

### Inherited from MapFactory[HashMap]

### Inherited from GenMapFactory[HashMap]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped